diff --git a/wwjcloud/src/common/sys/controllers/api/ApiScanController.ts b/wwjcloud/src/common/sys/controllers/api/ApiScanController.ts
index 58accdf..3724fcd 100644
--- a/wwjcloud/src/common/sys/controllers/api/ApiScanController.ts
+++ b/wwjcloud/src/common/sys/controllers/api/ApiScanController.ts
@@ -1,4 +1,4 @@
-﻿import { Controller, Post, Body, UseGuards, Req } from '@nestjs/common';
+﻿import { Controller, Post, Body, UseGuards, Req, UnauthorizedException } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse } from '@nestjs/swagger';
 import type { Request } from 'express';
 import { JwtAuthGuard } from '../../../auth/guards/JwtAuthGuard';
@@ -26,8 +26,11 @@ export class ApiScanController {
     @Body() body: { code: string },
     @Req() req: AuthenticatedRequest,
   ) {
-    const result = await this.apiScanService.scanQrCode(body.code);
-    return { code: 200, message: '扫描成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.apiScanService.scanQrCode(body.code);
   }
 
   @Post('barcode')
@@ -37,7 +40,10 @@ export class ApiScanController {
     @Body() body: { code: string },
     @Req() req: AuthenticatedRequest,
   ) {
-    const result = await this.apiScanService.scanBarcode(body.code);
-    return { code: 200, message: '扫描成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.apiScanService.scanBarcode(body.code);
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/api/ApiTaskController.ts b/wwjcloud/src/common/sys/controllers/api/ApiTaskController.ts
index f283215..928361a 100644
--- a/wwjcloud/src/common/sys/controllers/api/ApiTaskController.ts
+++ b/wwjcloud/src/common/sys/controllers/api/ApiTaskController.ts
@@ -8,6 +8,7 @@
   UseGuards,
   Req,
   ParseIntPipe,
+  UnauthorizedException,
 } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse, ApiParam } from '@nestjs/swagger';
 import type { Request } from 'express';
@@ -33,18 +34,22 @@ export class ApiTaskController {
   @ApiOperation({ summary: '获取任务列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getTaskList(@Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.apiTaskService.getTaskList(siteId);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.apiTaskService.getTaskList(siteId);
   }
 
   @Post()
   @ApiOperation({ summary: '创建任务' })
   @ApiResponse({ status: 200, description: '创建成功' })
   async createTask(@Body() body: any, @Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.apiTaskService.createTask(siteId, body);
-    return { code: 200, message: '创建成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.apiTaskService.createTask(siteId, body);
   }
 
   @Put(':taskId/status')
@@ -56,10 +61,13 @@ export class ApiTaskController {
     @Body() body: { status: string },
     @Req() req: AuthenticatedRequest,
   ) {
-    const result = await this.apiTaskService.updateTaskStatus(
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.apiTaskService.updateTaskStatus(
       taskId,
       body.status,
     );
-    return { code: 200, message: '更新成功', data: result };
   }
 }
diff --git a/wwjcloud/src/common/sys/entities/SysAttachment.ts b/wwjcloud/src/common/sys/entities/SysAttachment.ts
index 1fce157..1d8247a 100644
--- a/wwjcloud/src/common/sys/entities/SysAttachment.ts
+++ b/wwjcloud/src/common/sys/entities/SysAttachment.ts
@@ -1,8 +1,7 @@
-﻿import { Entity, PrimaryGeneratedColumn, Column } from 'typeorm';
-import { BaseEntity } from '../../../core/base/BaseEntity';
+﻿import { Entity, PrimaryGeneratedColumn, Column, CreateDateColumn, UpdateDateColumn } from 'typeorm';
 
 @Entity('sys_attachment')
-export class SysAttachment extends BaseEntity {
+export class SysAttachment {
   @PrimaryGeneratedColumn({ name: 'att_id' })
   att_id: number;
 
@@ -81,6 +80,15 @@ export class SysAttachment extends BaseEntity {
   })
   storage_type: string;
 
+  @Column({ name: 'site_id', type: 'int', default: 0, comment: '站点id' })
+  site_id: number;
+
+  @CreateDateColumn({ name: 'create_time', type: 'int', default: 0, comment: '上传时间' })
+  create_time: number;
+
+  @UpdateDateColumn({ name: 'update_time', type: 'int', default: 0, comment: '更新时间' })
+  update_time: number;
+
   // 获取文件扩展名
   getFileExtension(): string {
     return this.real_name.split('.').pop() || '';
diff --git a/wwjcloud/src/common/sys/entities/SysConfig.ts b/wwjcloud/src/common/sys/entities/SysConfig.ts
index 24f5781..748ecf7 100644
--- a/wwjcloud/src/common/sys/entities/SysConfig.ts
+++ b/wwjcloud/src/common/sys/entities/SysConfig.ts
@@ -1,44 +1,49 @@
-import { Entity, PrimaryGeneratedColumn, Column, Index } from 'typeorm';
-import { BaseEntity } from '../../../core/base/BaseEntity';
+import { Entity, PrimaryGeneratedColumn, Column, Index, CreateDateColumn, UpdateDateColumn, DeleteDateColumn } from 'typeorm';
 
 /**
  * 系统配置实体
  * 对应数据表: sys_config
  */
 @Entity('sys_config')
-@Index(['siteId', 'key'], { unique: true })
-export class SysConfig extends BaseEntity {
+@Index(['site_id', 'config_key'], { unique: true })
+export class SysConfig {
   @PrimaryGeneratedColumn()
   id: number;
 
-  @Column({ name: 'site_id', type: 'int', default: 0, comment: '站点ID' })
-  siteId: number;
+  @Column({ name: 'site_id', type: 'int', default: 0, comment: '站点id' })
+  site_id: number;
 
-  @Column({ name: 'key', type: 'varchar', length: 100, comment: '配置键' })
-  key: string;
+  @Column({ name: 'config_key', type: 'varchar', length: 255, default: '', comment: '配置项关键字' })
+  config_key: string;
 
   @Column({
     name: 'value',
     type: 'text',
     nullable: true,
-    comment: '配置值(JSON格式)',
+    comment: '配置值json',
   })
   value: string;
 
   @Column({
-    name: 'desc',
-    type: 'varchar',
-    length: 255,
-    nullable: true,
-    comment: '配置描述',
-  })
-  desc?: string;
-
-  @Column({
-    name: 'is_use',
+    name: 'status',
     type: 'tinyint',
     default: 1,
-    comment: '是否启用:0=否,1=是',
+    comment: '是否启用 1启用 0不启用',
   })
-  isUse: number;
+  status: number;
+
+  @CreateDateColumn({ name: 'create_time', type: 'int', default: 0, comment: '创建时间' })
+  create_time: number;
+
+  @UpdateDateColumn({ name: 'update_time', type: 'int', default: 0, comment: '修改时间' })
+  update_time: number;
+
+  @Column({ name: 'addon', type: 'varchar', length: 255, default: '', comment: '所属插件' })
+  addon: string;
+
+  @Column({ name: 'is_del', type: 'tinyint', default: 0, comment: '是否删除' })
+  is_del: number;
+
+  @DeleteDateColumn({ name: 'delete_time', type: 'int', default: 0, comment: '删除时间' })
+  delete_time: number;
 }
diff --git a/wwjcloud/src/common/sys/entities/SysMenu.ts b/wwjcloud/src/common/sys/entities/SysMenu.ts
index 706cc22..ba34b34 100644
--- a/wwjcloud/src/common/sys/entities/SysMenu.ts
+++ b/wwjcloud/src/common/sys/entities/SysMenu.ts
@@ -6,26 +6,26 @@
   UpdateDateColumn,
   DeleteDateColumn,
 } from 'typeorm';
-import { BaseEntity } from '../../../core/base/BaseEntity';
 
 /**
  * 系统菜单实体
  */
 @Entity('sys_menu')
-export class SysMenu extends BaseEntity {
+export class SysMenu {
   @PrimaryGeneratedColumn()
   id: number;
 
-  @Column({ name: 'menu_name', length: 100, comment: '菜单名称' })
-  menuName: string;
+  @Column({ name: 'menu_name', type: 'varchar', length: 100, default: '', comment: '菜单名称' })
+  menu_name: string;
 
   @Column({
     name: 'menu_short_name',
+    type: 'varchar',
     length: 50,
     nullable: true,
     comment: '菜单简称',
   })
-  menuShortName: string;
+  menu_short_name: string;
 
   @Column({
     name: 'menu_type',
@@ -33,34 +33,37 @@ export class SysMenu extends BaseEntity {
     default: 1,
     comment: '菜单类型 1目录 2菜单 3按钮',
   })
-  menuType: number;
+  menu_type: number;
 
   @Column({ name: 'parent_id', type: 'int', default: 0, comment: '父级菜单ID' })
-  parentId: number;
+  parent_id: number;
 
   @Column({
     name: 'menu_key',
+    type: 'varchar',
     length: 100,
     nullable: true,
     comment: '菜单标识',
   })
-  menuKey: string;
+  menu_key: string;
 
   @Column({
     name: 'menu_url',
+    type: 'varchar',
     length: 255,
     nullable: true,
     comment: '菜单链接',
   })
-  menuUrl: string;
+  menu_url: string;
 
   @Column({
     name: 'menu_icon',
+    type: 'varchar',
     length: 100,
     nullable: true,
     comment: '菜单图标',
   })
-  menuIcon: string;
+  menu_icon: string;
 
   @Column({ name: 'sort', type: 'int', default: 0, comment: '排序' })
   sort: number;
@@ -79,7 +82,7 @@ export class SysMenu extends BaseEntity {
     default: 1,
     comment: '是否显示 0不显示 1显示',
   })
-  isShow: number;
+  is_show: number;
 
   @Column({
     name: 'is_del',
@@ -87,16 +90,19 @@ export class SysMenu extends BaseEntity {
     default: 0,
     comment: '是否删除 0未删除 1已删除',
   })
-  isDel: number;
+  is_del: number;
 
-  @CreateDateColumn({ name: 'create_time', comment: '创建时间' })
-  createTime: Date;
+  @CreateDateColumn({ name: 'create_time', type: 'int', default: 0, comment: '创建时间' })
+  create_time: number;
 
-  @UpdateDateColumn({ name: 'update_time', comment: '更新时间' })
-  updateTime: Date;
+  @UpdateDateColumn({ name: 'update_time', type: 'int', default: 0, comment: '更新时间' })
+  update_time: number;
 
-  @DeleteDateColumn({ name: 'delete_time', comment: '删除时间' })
-  deleteTime: Date;
+  @DeleteDateColumn({ name: 'delete_time', type: 'int', default: 0, comment: '删除时间' })
+  delete_time: number;
+
+  @Column({ name: 'site_id', type: 'int', default: 0, comment: '站点id' })
+  site_id: number;
 
   // 虚拟字段
   statusName?: string;
diff --git a/wwjcloud/src/common/sys/entities/SysNotice.ts b/wwjcloud/src/common/sys/entities/SysNotice.ts
index daa821a..f846541 100644
--- a/wwjcloud/src/common/sys/entities/SysNotice.ts
+++ b/wwjcloud/src/common/sys/entities/SysNotice.ts
@@ -5,41 +5,48 @@
   CreateDateColumn,
   UpdateDateColumn,
 } from 'typeorm';
-import { BaseEntity } from '../../../core/base/BaseEntity';
 
 /**
  * 系统通知实体
  */
 @Entity('sys_notice')
-export class SysNotice extends BaseEntity {
+export class SysNotice {
   @PrimaryGeneratedColumn()
   id: number;
 
-  @Column({ name: 'title', length: 200, comment: '通知标题' })
-  title: string;
+  @Column({ name: 'site_id', type: 'int', default: 0, comment: '站点ID' })
+  site_id: number;
 
-  @Column({ name: 'content', type: 'text', comment: '通知内容' })
-  content: string;
+  @Column({ name: 'key', type: 'varchar', length: 50, default: '', comment: '标识' })
+  key: string;
 
-  @Column({
-    name: 'type',
-    type: 'tinyint',
-    default: 1,
-    comment: '通知类型 1系统通知 2用户通知',
-  })
-  type: number;
+  @Column({ name: 'sms_content', type: 'text', nullable: true, comment: '短信配置参数' })
+  sms_content: string;
 
-  @Column({
-    name: 'status',
-    type: 'tinyint',
-    default: 1,
-    comment: '状态 0禁用 1启用',
-  })
-  status: number;
+  @Column({ name: 'is_wechat', type: 'tinyint', default: 0, comment: '公众号模板消息（0：关闭，1：开启）' })
+  is_wechat: number;
 
-  @CreateDateColumn({ name: 'create_time', comment: '创建时间' })
-  createTime: Date;
+  @Column({ name: 'is_weapp', type: 'tinyint', default: 0, comment: '小程序订阅消息（0：关闭，1：开启）' })
+  is_weapp: number;
 
-  @UpdateDateColumn({ name: 'update_time', comment: '更新时间' })
-  updateTime: Date;
+  @Column({ name: 'is_sms', type: 'tinyint', default: 0, comment: '发送短信（0：关闭，1：开启）' })
+  is_sms: number;
+
+  @Column({ name: 'wechat_template_id', type: 'varchar', length: 255, default: '', comment: '微信模版消息id' })
+  wechat_template_id: string;
+
+  @Column({ name: 'weapp_template_id', type: 'varchar', length: 255, default: '', comment: '微信小程序订阅消息id' })
+  weapp_template_id: string;
+
+  @Column({ name: 'sms_id', type: 'varchar', length: 255, default: '', comment: '短信id（对应短信配置）' })
+  sms_id: string;
+
+  @Column({ name: 'wechat_first', type: 'varchar', length: 255, default: '', comment: '微信头部' })
+  wechat_first: string;
+
+  @Column({ name: 'wechat_remark', type: 'varchar', length: 255, default: '', comment: '微信说明' })
+  wechat_remark: string;
+
+  @CreateDateColumn({ name: 'create_time', type: 'int', default: 0, comment: '添加时间' })
+  create_time: number;
 }
diff --git a/wwjcloud/src/common/sys/entities/SysRole.ts b/wwjcloud/src/common/sys/entities/SysRole.ts
index bb29d50..cc59116 100644
--- a/wwjcloud/src/common/sys/entities/SysRole.ts
+++ b/wwjcloud/src/common/sys/entities/SysRole.ts
@@ -4,45 +4,40 @@
   Column,
   CreateDateColumn,
   UpdateDateColumn,
+  DeleteDateColumn,
 } from 'typeorm';
-import { BaseEntity } from '../../../core/base/BaseEntity';
 
 /**
  * 系统角色实体
  */
 @Entity('sys_role')
-export class SysRole extends BaseEntity {
+export class SysRole {
   @PrimaryGeneratedColumn({ name: 'role_id' })
-  roleId: number;
+  role_id: number;
 
-  @Column({ name: 'role_name', length: 50, comment: '角色名称' })
-  roleName: string;
+  @Column({ name: 'site_id', type: 'int', default: 0, comment: '站点id' })
+  site_id: number;
 
-  @Column({ name: 'role_key', length: 50, comment: '角色标识' })
-  roleKey: string;
+  @Column({ name: 'role_name', type: 'varchar', length: 255, default: '', comment: '角色名称' })
+  role_name: string;
 
-  @Column({ name: 'sort', type: 'int', default: 0, comment: '排序' })
-  sort: number;
+  @Column({ name: 'rules', type: 'text', nullable: true, comment: '角色权限(menus_id)' })
+  rules: string;
 
-  @Column({
-    name: 'status',
-    type: 'tinyint',
-    default: 1,
-    comment: '状态 0禁用 1启用',
-  })
+  @Column({ name: 'status', type: 'tinyint', default: 1, comment: '状态' })
   status: number;
 
-  @Column({ name: 'remark', length: 500, nullable: true, comment: '备注' })
-  remark: string;
+  @CreateDateColumn({ name: 'create_time', type: 'int', default: 0, comment: '添加时间' })
+  create_time: number;
 
-  @Column({ name: 'rules', type: 'json', nullable: true, comment: '权限规则' })
-  rules: string[];
+  @UpdateDateColumn({ name: 'update_time', type: 'int', default: 0, comment: '最后修改时间' })
+  update_time: number;
 
-  @CreateDateColumn({ name: 'create_time', comment: '创建时间' })
-  createTime: Date;
+  @Column({ name: 'is_del', type: 'tinyint', default: 0, comment: '是否删除' })
+  is_del: number;
 
-  @UpdateDateColumn({ name: 'update_time', comment: '更新时间' })
-  updateTime: Date;
+  @DeleteDateColumn({ name: 'delete_time', type: 'int', default: 0, comment: '删除时间' })
+  delete_time: number;
 
   // 虚拟字段
   statusName?: string;
diff --git a/wwjcloud/src/common/sys/entities/SysSchedule.ts b/wwjcloud/src/common/sys/entities/SysSchedule.ts
index 40b0212..7ff1b0a 100644
--- a/wwjcloud/src/common/sys/entities/SysSchedule.ts
+++ b/wwjcloud/src/common/sys/entities/SysSchedule.ts
@@ -4,63 +4,52 @@
   Column,
   CreateDateColumn,
   UpdateDateColumn,
+  DeleteDateColumn,
 } from 'typeorm';
-import { BaseEntity } from '../../../core/base/BaseEntity';
 
 /**
  * 定时任务实体
  */
 @Entity('sys_schedule')
-export class SysSchedule extends BaseEntity {
+export class SysSchedule {
   @PrimaryGeneratedColumn()
   id: number;
 
-  @Column({ name: 'key', length: 100, comment: '任务标识' })
+  @Column({ name: 'site_id', type: 'int', default: 0, comment: '站点id' })
+  site_id: number;
+
+  @Column({ name: 'addon', type: 'varchar', length: 255, default: '', comment: '所属插件' })
+  addon: string;
+
+  @Column({ name: 'key', type: 'varchar', length: 255, default: '', comment: '计划任务模板key' })
   key: string;
 
-  @Column({ name: 'title', length: 100, comment: '任务标题' })
-  title: string;
-
-  @Column({ name: 'command', length: 500, comment: '执行命令' })
-  command: string;
-
-  @Column({
-    name: 'time',
-    type: 'json',
-    nullable: true,
-    comment: '执行时间配置',
-  })
-  time: any;
-
-  @Column({
-    name: 'last_time',
-    type: 'timestamp',
-    nullable: true,
-    comment: '最后执行时间',
-  })
-  lastTime: Date;
-
-  @Column({
-    name: 'next_time',
-    type: 'timestamp',
-    nullable: true,
-    comment: '下次执行时间',
-  })
-  nextTime: Date;
-
-  @Column({
-    name: 'status',
-    type: 'tinyint',
-    default: 1,
-    comment: '状态 0禁用 1启用',
-  })
+  @Column({ name: 'status', type: 'int', default: 1, comment: '任务状态 是否启用' })
   status: number;
 
-  @CreateDateColumn({ name: 'create_time', comment: '创建时间' })
-  createTime: Date;
+  @Column({ name: 'time', type: 'varchar', length: 500, default: '', comment: '任务周期 json结构' })
+  time: string;
 
-  @UpdateDateColumn({ name: 'update_time', comment: '更新时间' })
-  updateTime: Date;
+  @Column({ name: 'count', type: 'int', default: 0, comment: '执行次数' })
+  count: number;
+
+  @Column({ name: 'last_time', type: 'int', default: 0, comment: '最后执行时间' })
+  last_time: number;
+
+  @Column({ name: 'next_time', type: 'int', default: 0, comment: '下次执行时间' })
+  next_time: number;
+
+  @Column({ name: 'sort', type: 'int', default: 0, comment: '排序' })
+  sort: number;
+
+  @CreateDateColumn({ name: 'create_time', type: 'int', default: 0, comment: '创建时间' })
+  create_time: number;
+
+  @UpdateDateColumn({ name: 'update_time', type: 'int', default: 0, comment: '更新时间' })
+  update_time: number;
+
+  @DeleteDateColumn({ name: 'delete_time', type: 'int', default: 0, comment: '删除时间' })
+  delete_time: number;
 
   // 虚拟字段
   statusName?: string;
diff --git a/wwjcloud/src/common/sys/services/admin/RoleService.ts b/wwjcloud/src/common/sys/services/admin/RoleService.ts
index deee3dd..8031da9 100644
--- a/wwjcloud/src/common/sys/services/admin/RoleService.ts
+++ b/wwjcloud/src/common/sys/services/admin/RoleService.ts
@@ -24,7 +24,8 @@ export class RoleService {
    * 删除用户组
    */
   async delete(role_id: number) {
-    return this.coreRoleService.delete(role_id);
+    // Core 层方法名为 del，且需要 siteId；暂无 siteId 时传 0 与 PHP 语义对齐
+    return this.coreRoleService.del(role_id as any, 0 as any);
   }
 
   /**
diff --git a/wwjcloud/src/common/sys/services/core/CoreAttachmentService.ts b/wwjcloud/src/common/sys/services/core/CoreAttachmentService.ts
index 8c33b9e..9fc083e 100644
--- a/wwjcloud/src/common/sys/services/core/CoreAttachmentService.ts
+++ b/wwjcloud/src/common/sys/services/core/CoreAttachmentService.ts
@@ -1,7 +1,6 @@
 import { Injectable } from '@nestjs/common';
 import { InjectRepository } from '@nestjs/typeorm';
 import { Repository, Like } from 'typeorm';
-import { BaseService } from '../../../../core/base/BaseService';
 import { SysAttachment } from '../../entities/SysAttachment';
 
 /**
@@ -9,13 +8,11 @@ import { SysAttachment } from '../../entities/SysAttachment';
  * 对应PHP: CoreAttachmentService
  */
 @Injectable()
-export class CoreAttachmentService extends BaseService<SysAttachment> {
+export class CoreAttachmentService {
   constructor(
     @InjectRepository(SysAttachment)
     private readonly attachmentRepository: Repository<SysAttachment>,
-  ) {
-    super(attachmentRepository);
-  }
+  ) {}
 
   /**
    * 分页查询附件列表
@@ -42,8 +39,8 @@ export class CoreAttachmentService extends BaseService<SysAttachment> {
         'attachment.real_name',
         'attachment.path',
         'attachment.url',
-        'attachment.file_size',
-        'attachment.file_type',
+        'attachment.att_size',
+        'attachment.att_type',
         'attachment.cate_id',
         'attachment.create_time',
       ]);
diff --git a/wwjcloud/src/common/sys/services/core/CoreRoleService.ts b/wwjcloud/src/common/sys/services/core/CoreRoleService.ts
index d07ce3f..76b1c69 100644
--- a/wwjcloud/src/common/sys/services/core/CoreRoleService.ts
+++ b/wwjcloud/src/common/sys/services/core/CoreRoleService.ts
@@ -1,7 +1,6 @@
 import { Injectable } from '@nestjs/common';
 import { InjectRepository } from '@nestjs/typeorm';
 import { Repository, In } from 'typeorm';
-import { BaseService } from '../../../../core/base/BaseService';
 import { SysRole } from '../../../rbac/entities/SysRole';
 
 /**
@@ -9,13 +8,11 @@ import { SysRole } from '../../../rbac/entities/SysRole';
  * 对应PHP: 角色核心操作逻辑
  */
 @Injectable()
-export class CoreRoleService extends BaseService<SysRole> {
+export class CoreRoleService {
   constructor(
     @InjectRepository(SysRole)
     private readonly roleRepository: Repository<SysRole>,
-  ) {
-    super(roleRepository);
-  }
+  ) {}
 
   /**
    * 分页查询角色列表
diff --git a/wwjcloud/src/common/sys/services/core/CoreSysConfigService.ts b/wwjcloud/src/common/sys/services/core/CoreSysConfigService.ts
index 60cc558..0027f24 100644
--- a/wwjcloud/src/common/sys/services/core/CoreSysConfigService.ts
+++ b/wwjcloud/src/common/sys/services/core/CoreSysConfigService.ts
@@ -1,21 +1,18 @@
 ﻿import { Injectable } from '@nestjs/common';
 import { InjectRepository } from '@nestjs/typeorm';
-import { Repository } from 'typeorm';
-import { BaseService } from '../../../../core/base/BaseService';
+import { Repository, In } from 'typeorm';
 import { SysConfig } from '../../entities/SysConfig';
 
 @Injectable()
-export class CoreSysConfigService extends BaseService<SysConfig> {
+export class CoreSysConfigService {
   constructor(
     @InjectRepository(SysConfig)
     private readonly configRepository: Repository<SysConfig>,
-  ) {
-    super(configRepository);
-  }
+  ) {}
 
   async getConfigByKey(siteId: number, key: string): Promise<string | null> {
     const config = await this.configRepository.findOne({
-      where: { site_id: siteId, key },
+      where: { site_id: siteId, config_key: key },
     });
     return config?.value || null;
   }
@@ -26,19 +23,19 @@ export class CoreSysConfigService extends BaseService<SysConfig> {
     value: string,
   ): Promise<boolean> {
     const existingConfig = await this.configRepository.findOne({
-      where: { site_id: siteId, key },
+      where: { site_id: siteId, config_key: key },
     });
 
     if (existingConfig) {
       const result = await this.configRepository.update(
-        { site_id: siteId, key },
+        { site_id: siteId, config_key: key },
         { value, update_time: Math.floor(Date.now() / 1000) },
       );
       return (result.affected || 0) > 0;
     } else {
       const config = this.configRepository.create({
         site_id: siteId,
-        key,
+        config_key: key,
         value,
         create_time: Math.floor(Date.now() / 1000),
       });
@@ -52,12 +49,12 @@ export class CoreSysConfigService extends BaseService<SysConfig> {
     keys: string[],
   ): Promise<Record<string, string>> {
     const configs = await this.configRepository.find({
-      where: { site_id: siteId, key: keys as any },
+      where: { site_id: siteId, config_key: In(keys) },
     });
 
     const result: Record<string, string> = {};
     configs.forEach((config) => {
-      result[config.key] = config.value;
+      result[config.config_key] = config.value;
     });
 
     return result;
@@ -66,7 +63,7 @@ export class CoreSysConfigService extends BaseService<SysConfig> {
   async deleteConfig(siteId: number, key: string): Promise<boolean> {
     const result = await this.configRepository.delete({
       site_id: siteId,
-      key,
+      config_key: key,
     });
     return (result.affected || 0) > 0;
   }
diff --git a/wwjcloud/src/common/sys/services/core/CoreSysService.ts b/wwjcloud/src/common/sys/services/core/CoreSysService.ts
index 7bf15d0..08e5337 100644
--- a/wwjcloud/src/common/sys/services/core/CoreSysService.ts
+++ b/wwjcloud/src/common/sys/services/core/CoreSysService.ts
@@ -1,20 +1,17 @@
 import { Injectable } from '@nestjs/common';
 import { InjectRepository } from '@nestjs/typeorm';
 import { Repository, In } from 'typeorm';
-import { BaseService } from '@wwjCore/base/BaseService';
 import { SysConfig } from '../../entities/SysConfig';
 import { SysArea } from '../../entities/SysArea';
 
 @Injectable()
-export class CoreSysService extends BaseService<SysConfig> {
+export class CoreSysService {
   constructor(
     @InjectRepository(SysConfig)
     private configRepository: Repository<SysConfig>,
     @InjectRepository(SysArea)
     private areaRepository: Repository<SysArea>,
-  ) {
-    super(configRepository);
-  }
+  ) {}
 
   /**
    * 获取系统信息
diff --git a/wwjcloud/src/common/sys/services/core/CoreUeditorService.ts b/wwjcloud/src/common/sys/services/core/CoreUeditorService.ts
index ed74f69..dfe3843 100644
--- a/wwjcloud/src/common/sys/services/core/CoreUeditorService.ts
+++ b/wwjcloud/src/common/sys/services/core/CoreUeditorService.ts
@@ -1,27 +1,23 @@
 import { Injectable } from '@nestjs/common';
 import { InjectRepository } from '@nestjs/typeorm';
 import { Repository } from 'typeorm';
-import { BaseService } from '../../../../core/base/BaseService';
 import { SysAttachment } from '../../entities/SysAttachment';
 
 @Injectable()
-export class CoreUeditorService extends BaseService<SysAttachment> {
+export class CoreUeditorService {
   constructor(
     @InjectRepository(SysAttachment)
     private readonly attachmentRepository: Repository<SysAttachment>,
-  ) {
-    super(attachmentRepository);
-  }
+  ) {}
 
   async uploadImage(data: any) {
     const attachment = this.attachmentRepository.create({
       site_id: data.site_id as any,
-      file_name: data.fileName,
-      file_path: data.filePath,
-      file_url: data.fileUrl,
-      file_size: data.fileSize,
-      file_type: 'image',
-      mime_type: data.mimeType,
+      name: data.fileName,
+      path: data.filePath,
+      url: data.fileUrl,
+      att_size: data.fileSize,
+      att_type: 'image',
       create_time: Math.floor(Date.now() / 1000),
     } as any);
     
@@ -31,12 +27,11 @@ export class CoreUeditorService extends BaseService<SysAttachment> {
   async uploadFile(data: any) {
     const attachment = this.attachmentRepository.create({
       site_id: data.site_id as any,
-      file_name: data.fileName,
-      file_path: data.filePath,
-      file_url: data.fileUrl,
-      file_size: data.fileSize,
-      file_type: 'file',
-      mime_type: data.mimeType,
+      name: data.fileName,
+      path: data.filePath,
+      url: data.fileUrl,
+      att_size: data.fileSize,
+      att_type: 'file',
       create_time: Math.floor(Date.now() / 1000),
     } as any);
     
@@ -46,12 +41,11 @@ export class CoreUeditorService extends BaseService<SysAttachment> {
   async uploadVideo(data: any) {
     const attachment = this.attachmentRepository.create({
       site_id: data.site_id as any,
-      file_name: data.fileName,
-      file_path: data.filePath,
-      file_url: data.fileUrl,
-      file_size: data.fileSize,
-      file_type: 'video',
-      mime_type: data.mimeType,
+      name: data.fileName,
+      path: data.filePath,
+      url: data.fileUrl,
+      att_size: data.fileSize,
+      att_type: 'video',
       create_time: Math.floor(Date.now() / 1000),
     } as any);
     
@@ -62,7 +56,7 @@ export class CoreUeditorService extends BaseService<SysAttachment> {
     const { page = 1, limit = 20, site_id } = query;
     const qb = this.attachmentRepository.createQueryBuilder('attachment');
     
-    qb.andWhere('attachment.file_type = :type', { type: 'image' });
+    qb.andWhere('attachment.att_type = :type', { type: 'image' });
     if (site_id) {
       qb.andWhere('attachment.site_id = :site_id', { site_id });
     }
@@ -79,7 +73,7 @@ export class CoreUeditorService extends BaseService<SysAttachment> {
     const qb = this.attachmentRepository.createQueryBuilder('attachment');
     
     if (file_type) {
-      qb.andWhere('attachment.file_type = :type', { type: file_type });
+      qb.andWhere('attachment.att_type = :type', { type: file_type });
     }
     if (site_id) {
       qb.andWhere('attachment.site_id = :site_id', { site_id });
diff --git a/wwjcloud/src/common/sys/sys.module.ts b/wwjcloud/src/common/sys/sys.module.ts
index 5321827..a036db2 100644
--- a/wwjcloud/src/common/sys/sys.module.ts
+++ b/wwjcloud/src/common/sys/sys.module.ts
@@ -91,6 +91,10 @@ import { ChannelService } from './services/admin/ChannelService';
 import { CommonService } from './services/admin/CommonService';
 import { CoreChannelService } from './services/core/CoreChannelService';
 import { CoreCommonService } from './services/core/CoreCommonService';
+import { CoreUeditorService } from './services/core/CoreUeditorService';
+import { UeditorService } from './services/admin/UeditorService';
+import { CoreScheduleLogService } from './services/core/CoreScheduleLogService';
+import { ScheduleLogService } from './services/admin/ScheduleLogService';
 
 // Entities
 import { SysConfig } from './entities/SysConfig';
@@ -116,6 +120,7 @@ import { NiuSmsTemplate } from './entities/NiuSmsTemplate';
 import { UserCreateSiteLimit } from './entities/UserCreateSiteLimit';
 import { WxOplatfromWeappVersion } from './entities/WxOplatfromWeappVersion';
 import { SysUpgradeRecords } from './entities/SysUpgradeRecords';
+import { Channel } from '../channel/entities/Channel';
 
 @Module({
   imports: [
@@ -136,6 +141,7 @@ import { SysUpgradeRecords } from './entities/SysUpgradeRecords';
       SysSchedule,
       SysScheduleLog,
       SysChannel,
+      Channel,
       SysApp,
       SysNoticeSmsLog,
       SysBackupRecords,
@@ -216,10 +222,12 @@ import { SysUpgradeRecords } from './entities/SysUpgradeRecords';
     CorePrinterService,
     CorePrinterTemplateService,
     CoreScheduleService,
+    CoreScheduleLogService,
     CoreSysConfigService,
     PrinterService,
     PrinterTemplateService,
     ScheduleService,
+    ScheduleLogService,
     ApiAttachmentService,
     UploadService,
     Base64Service,
@@ -236,6 +244,8 @@ import { SysUpgradeRecords } from './entities/SysUpgradeRecords';
     CommonService,
     CoreChannelService,
     CoreCommonService,
+    CoreUeditorService,
+    UeditorService,
   ],
   exports: [
     ConfigService,
@@ -262,10 +272,12 @@ import { SysUpgradeRecords } from './entities/SysUpgradeRecords';
     CorePrinterService,
     CorePrinterTemplateService,
     CoreScheduleService,
+    CoreScheduleLogService,
     CoreSysConfigService,
     PrinterService,
     PrinterTemplateService,
     ScheduleService,
+    ScheduleLogService,
     ApiAttachmentService,
     UploadService,
     Base64Service,
@@ -282,6 +294,8 @@ import { SysUpgradeRecords } from './entities/SysUpgradeRecords';
     CommonService,
     CoreChannelService,
     CoreCommonService,
+    CoreUeditorService,
+    UeditorService,
   ],
 })
 export class SysModule {}
